Tool: list_table_ids
Tabellen-IDs in einem BigQuery-Dataset auflisten.
Im folgenden Beispiel wird gezeigt, wie Sie curl verwenden, um das MCP-Tool list_table_ids aufzurufen.
| Curl-Anfrage |
|---|
curl --location 'https://bigquery.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_table_ids", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Eingabeschema
Anfrage nach einer Liste von Tabellen in einem Dataset.
ListTablesRequest
| JSON-Darstellung |
|---|
{ "projectId": string, "datasetId": string } |
| Felder | |
|---|---|
projectId |
Erforderlich. Projekt-ID der Tabellenanfrage. |
datasetId |
Erforderlich. Dataset-ID der Tabellenanfrage. |
Ausgabeschema
Antwort für eine Liste von Tabellen.
ListTablesResponse
| JSON-Darstellung |
|---|
{
"tables": [
{
object ( |
| Felder | |
|---|---|
tables[] |
Die Tabellen, die der Anfrage entsprechen. |
ListFormatTable
| JSON-Darstellung |
|---|
{ "id": string } |
| Felder | |
|---|---|
id |
Die ID der Tabelle. |
Tool-Annotationen
Destruktiv: ❌ | Idempotent: ✅ | Schreibgeschützt: ✅ | Offene Welt: ❌